- Home
- API Enriched
- Tenant And Identity
- web
- Change priority of a ticket in child tenant.
Change priority of a ticket in child tenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/customer_supports/example/priority';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"priority":"PRIORITY_UNKNOWN","tp_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/customer_supports/example/priority \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "priority": "PRIORITY_UNKNOWN", "tp_id": "example" }'Changes priority of a selected ticket. Not possible if ticket’s already closed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Third party ID ID assigned to this ticket by our support provider.
Request Bodyrequired
Section titled “Request Bodyrequired”Priority of an existing customer support ticket.
object
ID assigned to this ticket by our support provider.
Responses
Section titled “Responses”A successful response.
Gives details of result of changing priority a customer support ticket.
object
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example